com.independentsoft.exchange

## Class ManagedFolderInformation

- java.lang.Object
- - com.independentsoft.exchange.ManagedFolderInformation

-     public class ManagedFolderInformation
      extends java.lang.Object

  Contains information about a managed custom folder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedFolderInformation()` Initializes a new instance of the ManagedFolderInformation class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canDelete()` Gets whether a managed folder can be deleted by a customer.
    `boolean` | `canRename()` Gets whether a given managed folder can be renamed or moved by the customer.
    `java.lang.String` | `getComment()` Gets the comment that is associated with a managed folder.
    `java.lang.String` | `getHomePage()` Gets the URL that will be the default home page for the managed folder.
    `java.lang.String` | `getId()` Gets the folder ID of the managed folder.
    `long` | `getSize()` Gets the total size of all the contents of a managed folder.
    `long` | `getStorageQuota()` Gets the storage quota for the managed folder.
    `boolean` | `hasQuota()` Gets whether the managed folder has a quota.
    `boolean` | `isRoot()` Gets whether the managed folder is the root for all managed folders.
    `boolean` | `mustDisplayComment()` Gets whether the managed folder comment must be displayed.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedFolderInformation

          public ManagedFolderInformation()

      Initializes a new instance of the ManagedFolderInformation class.

  - ### Method Detail

    - #### canDelete

          public boolean canDelete()

      Gets whether a managed folder can be deleted by a customer.
      Returns:
        true, if successful

    - #### canRename

          public boolean canRename()

      Gets whether a given managed folder can be renamed or moved by the customer.
      Returns:
        true, if successful

    - #### mustDisplayComment

          public boolean mustDisplayComment()

      Gets whether the managed folder comment must be displayed.
      Returns:
        true, if successful

    - #### hasQuota

          public boolean hasQuota()

      Gets whether the managed folder has a quota.
      Returns:
        true, if successful

    - #### isRoot

          public boolean isRoot()

      Gets whether the managed folder is the root for all managed folders.
      Returns:
        true, if is root

    - #### getId

          public java.lang.String getId()

      Gets the folder ID of the managed folder.
      Returns:
        the id

    - #### getComment

          public java.lang.String getComment()

      Gets the comment that is associated with a managed folder.
      Returns:
        the comment

    - #### getStorageQuota

          public long getStorageQuota()

      Gets the storage quota for the managed folder.
      Returns:
        the storage quota

    - #### getSize

          public long getSize()

      Gets the total size of all the contents of a managed folder.
      Returns:
        the size

    - #### getHomePage

          public java.lang.String getHomePage()

      Gets the URL that will be the default home page for the managed folder.
      Returns:
        the home page